Archive asset
curl --request DELETE \
--url https://api.sortx.co.uk/assets/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/assets/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"category": "boiler",
"reference": "<string>",
"propertyId": "<string>",
"unitId": "<string>",
"blockId": "<string>",
"location": "<string>",
"manufacturer": "<string>",
"model": "<string>",
"serialNumber": "<string>",
"quantity": 123,
"installedOn": "<string>",
"warrantyExpiresOn": "<string>",
"servicingContactId": "<string>",
"servicingCompanyId": "<string>",
"warrantyProviderContactId": "<string>",
"warrantyProviderCompanyId": "<string>",
"notes": "<string>",
"revision": 123,
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}properties
Archive asset
Archive an asset with no open work
DELETE
/
assets
/
{id}
Archive asset
curl --request DELETE \
--url https://api.sortx.co.uk/assets/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/assets/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"category": "boiler",
"reference": "<string>",
"propertyId": "<string>",
"unitId": "<string>",
"blockId": "<string>",
"location": "<string>",
"manufacturer": "<string>",
"model": "<string>",
"serialNumber": "<string>",
"quantity": 123,
"installedOn": "<string>",
"warrantyExpiresOn": "<string>",
"servicingContactId": "<string>",
"servicingCompanyId": "<string>",
"warrantyProviderContactId": "<string>",
"warrantyProviderCompanyId": "<string>",
"notes": "<string>",
"revision": 123,
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Query Parameters
Response
Success
Available options:
boiler, gas-appliance, heating, electrical, water-system, plumbing, appliance, lift, fire-safety, security, ventilation, communal-area, grounds, roof, other